Get a list of the thread conversations in a room.
Changelog
| Version | Description |
|---|---|
| 9.0.0 | Removed the fields and query parameters. |
| 1.0.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.
The room ID.
Filter the thread by type. It can either be:
unread: returns the threads you follow which has unread messages.following: returns all the thread you follow.
Filter the thread list by search term.
OK
{
"threads": [
{
"_id": "NZieMNQDEdMDmLLip",
"rid": "6GFJ3tbmHiyHbahmC",
"msg": "hola",
"ts": "2023-10-05T20:30:51.052Z",
"u": {
"_id": "rbAXPnMktTFbNpwtJ",
"username": "roxie",
"name": "test test"
},
"_updatedAt": "2023-10-16T22:57:27.362Z",
"urls": [],
"mentions": [],
"channels": [],
"md": [
{
"type": "PARAGRAPH",
"value": [
{
"type": "PLAIN_TEXT",
"value": "hola"
}
]
}
],
"reactions": {
":smile:": {
"usernames": [
"test.test"
]
}
},
"starred": [],
"pinned": true,
"pinnedAt": "2023-10-05T20:59:44.433Z",
"pinnedBy": {
"_id": "5fRTXMt7DMJbpPJfh",
"username": "test.test"
},
"replies": [
"rbAXPnMktTFbNpwtJ"
],
"tcount": 2,
"tlm": "2023-10-16T22:57:27.158Z"
}
],
"count": 1,
"offset": 0,
"total": 1,
"success": true
}Unauthorized
{
"success": false,
"error": "You must be logged in to do this."
}